LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTabControllerModel Interface Referencepublished

specifies the basic operations for a tab controller model. More...

`import"XTabControllerModel.idl";`

Inheritance diagram for XTabControllerModel:

## Public Member Functions
boolean | getGroupControl ()
| returns whether the control models are grouped together. More...
void | setGroupControl ([in] boolean GroupControl)
| determines if the control models are grouped together. More...
void | setControlModels ([in] sequence< com::sun::star::awt::XControlModel > Controls)
| sets the control models. More...
sequence< com::sun::star::awt::XControlModel > | getControlModels ()
| returns the control models. More...
void | setGroup ([in] sequence< com::sun::star::awt::XControlModel > Group, [in] string GroupName)
| sets a control model group. More...
long | getGroupCount ()
| returns the number of control model groups. More...
void | getGroup ([in] long nGroup, [out] sequence< com::sun::star::awt::XControlModel > Group, [out] string Name)
| returns a control model group. More...
void | getGroupByName ([in] string Name, [out] sequence< com::sun::star::awt::XControlModel > Group)
| returns a control model group by name. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies the basic operations for a tab controller model.

Developers Guide
  Forms - Control Models Forms

## Member Function Documentation

## ◆ getControlModels()

sequence< com::sun::star::awt::XControlModel > getControlModels | ( |  | ) |

returns the control models.

## ◆ getGroup()

void getGroup | ( | [in] long | nGroup,
|  | [out] sequence< com::sun::star::awt::XControlModel > | Group,
|  | [out] string | Name
| ) |  |

returns a control model group.

## ◆ getGroupByName()

void getGroupByName | ( | [in] string | Name,
|  | [out] sequence< com::sun::star::awt::XControlModel > | Group
| ) |  |

returns a control model group by name.

## ◆ getGroupControl()

boolean getGroupControl | ( |  | ) |

returns whether the control models are grouped together.

## ◆ getGroupCount()

long getGroupCount | ( |  | ) |

returns the number of control model groups.

## ◆ setControlModels()

void setControlModels | ( | [in] sequence< com::sun::star::awt::XControlModel > | Controls | ) |

sets the control models.

## ◆ setGroup()

void setGroup | ( | [in] sequence< com::sun::star::awt::XControlModel > | Group,
|  | [in] string | GroupName
| ) |  |

sets a control model group.

## ◆ setGroupControl()

void setGroupControl | ( | [in] boolean | GroupControl | ) |

determines if the control models are grouped together.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTabControllerModel.idl